Issue 4080

Title
Remove company record rules
Priority
feature
Status
resolved
Superseder
Add company to package (issue 10197)
Project-Id-Version: Roundup 0.7.0 Report-Msgid-Bugs-To: roundup-devel@lists.sourceforge.net POT-Creation-Date: 2020-07-12 23:40-0400 PO-Revision-Date: 2004-11-20 13:47+0200 Language-Team: English Language: MIME-Version: 1.0 Content-Type: text/plain; charset=us-ascii
Add company to reconciliation (issue 10195)
Project-Id-Version: Roundup 0.7.0 Report-Msgid-Bugs-To: roundup-devel@lists.sourceforge.net POT-Creation-Date: 2020-07-12 23:40-0400 PO-Revision-Date: 2004-11-20 13:47+0200 Language-Team: English Language: MIME-Version: 1.0 Content-Type: text/plain; charset=us-ascii
Check erase with company should not rely on rule (issue 8906)
Project-Id-Version: Roundup 0.7.0 Report-Msgid-Bugs-To: roundup-devel@lists.sourceforge.net POT-Creation-Date: 2020-07-12 23:40-0400 PO-Revision-Date: 2004-11-20 13:47+0200 Language-Team: English Language: MIME-Version: 1.0 Content-Type: text/plain; charset=us-ascii
Check record rule on button decorator (issue 7638)
Project-Id-Version: Roundup 0.7.0 Report-Msgid-Bugs-To: roundup-devel@lists.sourceforge.net POT-Creation-Date: 2020-07-12 23:40-0400 PO-Revision-Date: 2004-11-20 13:47+0200 Language-Team: English Language: MIME-Version: 1.0 Content-Type: text/plain; charset=us-ascii
Enforce company on move line (issue 10250)
Project-Id-Version: Roundup 0.7.0 Report-Msgid-Bugs-To: roundup-devel@lists.sourceforge.net POT-Creation-Date: 2020-07-12 23:40-0400 PO-Revision-Date: 2004-11-20 13:47+0200 Language-Team: English Language: MIME-Version: 1.0 Content-Type: text/plain; charset=us-ascii
Enforce to set company context to field with CompanyMultiValueMixin target (issue 10067)
Project-Id-Version: Roundup 0.7.0 Report-Msgid-Bugs-To: roundup-devel@lists.sourceforge.net POT-Creation-Date: 2020-07-12 23:40-0400 PO-Revision-Date: 2004-11-20 13:47+0200 Language-Team: English Language: MIME-Version: 1.0 Content-Type: text/plain; charset=us-ascii
Improve company concistancy (issue 4311)
Project-Id-Version: Roundup 0.7.0 Report-Msgid-Bugs-To: roundup-devel@lists.sourceforge.net POT-Creation-Date: 2020-07-12 23:40-0400 PO-Revision-Date: 2004-11-20 13:47+0200 Language-Team: English Language: MIME-Version: 1.0 Content-Type: text/plain; charset=us-ascii
Missing contextual field for parent depends (issue 10182)
Project-Id-Version: Roundup 0.7.0 Report-Msgid-Bugs-To: roundup-devel@lists.sourceforge.net POT-Creation-Date: 2020-07-12 23:40-0400 PO-Revision-Date: 2004-11-20 13:47+0200 Language-Team: English Language: MIME-Version: 1.0 Content-Type: text/plain; charset=us-ascii
Missing search stock period by company (issue 7887)
Project-Id-Version: Roundup 0.7.0 Report-Msgid-Bugs-To: roundup-devel@lists.sourceforge.net POT-Creation-Date: 2020-07-12 23:40-0400 PO-Revision-Date: 2004-11-20 13:47+0200 Language-Team: English Language: MIME-Version: 1.0 Content-Type: text/plain; charset=us-ascii
Remove CompanyReport by single report (issue 6760)
Project-Id-Version: Roundup 0.7.0 Report-Msgid-Bugs-To: roundup-devel@lists.sourceforge.net POT-Creation-Date: 2020-07-12 23:40-0400 PO-Revision-Date: 2004-11-20 13:47+0200 Language-Team: English Language: MIME-Version: 1.0 Content-Type: text/plain; charset=us-ascii
Remove Property fields. (issue 2349)
Project-Id-Version: Roundup 0.7.0 Report-Msgid-Bugs-To: roundup-devel@lists.sourceforge.net POT-Creation-Date: 2020-07-12 23:40-0400 PO-Revision-Date: 2004-11-20 13:47+0200 Language-Team: English Language: MIME-Version: 1.0 Content-Type: text/plain; charset=us-ascii
Remove tree structure from company (issue 10163)
Project-Id-Version: Roundup 0.7.0 Report-Msgid-Bugs-To: roundup-devel@lists.sourceforge.net POT-Creation-Date: 2020-07-12 23:40-0400 PO-Revision-Date: 2004-11-20 13:47+0200 Language-Team: English Language: MIME-Version: 1.0 Content-Type: text/plain; charset=us-ascii
Review usage of get_multivalue and set_multivalue (issue 10162)
Project-Id-Version: Roundup 0.7.0 Report-Msgid-Bugs-To: roundup-devel@lists.sourceforge.net POT-Creation-Date: 2020-07-12 23:40-0400 PO-Revision-Date: 2004-11-20 13:47+0200 Language-Team: English Language: MIME-Version: 1.0 Content-Type: text/plain; charset=us-ascii
Unable to create asset with analytic_account and multiple companies (issue 7198)
Project-Id-Version: Roundup 0.7.0 Report-Msgid-Bugs-To: roundup-devel@lists.sourceforge.net POT-Creation-Date: 2020-07-12 23:40-0400 PO-Revision-Date: 2004-11-20 13:47+0200 Language-Team: English Language: MIME-Version: 1.0 Content-Type: text/plain; charset=us-ascii
Wizard searching records must enforce access or limited to record (issue 10229)
Nosy list
ced, dave, ohuisman, pokoli, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2014-07-23.22:50:30 by ced, last changed 2 months ago by roundup-bot.

Messages

New changeset 95e8da44d26d by Cédric Krier in branch 'default':
Remove documentation warning about _check_access
https://hg.tryton.org/tryton-env/rev/95e8da44d26d
New changeset 153ab325f98c by Cédric Krier in branch 'default':
Remove documentation warning about _check_access
https://hg.tryton.org/trytond/rev/153ab325f98c
New changeset 69da49d2a4f1 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/tryton-env/rev/69da49d2a4f1
New changeset ce8d7a19766a by Cédric Krier in branch 'default':
Check rule only if _check_access is set
https://hg.tryton.org/trytond/rev/ce8d7a19766a
New changeset 44deab4cf37b by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/web_shop_vue_storefront/rev/44deab4cf37b
New changeset 1949f901874d by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/web_shop/rev/1949f901874d
New changeset e36abcd9077d by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/timesheet_cost/rev/e36abcd9077d
New changeset 6eea2f724ab2 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/timesheet/rev/6eea2f724ab2
New changeset 2f9f57a8377a by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/stock_supply_day/rev/2f9f57a8377a
New changeset 95b277884187 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/stock_supply/rev/95b277884187
New changeset 905c2ff95651 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/stock_split/rev/905c2ff95651
New changeset 04b994794ec4 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/stock_shipment_measurements/rev/04b994794ec4
New changeset 1d1004124b59 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/stock_quantity_issue/rev/1d1004124b59
New changeset 309a3080eaab by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/stock_quantity_early_planning/rev/309a3080eaab
New changeset cb951136c30c by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/stock_package/rev/cb951136c30c
New changeset 5210773a96e2 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/stock_lot_sled/rev/5210773a96e2
New changeset 797131ef742a by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/stock_lot/rev/797131ef742a
New changeset f7b861a0f9c2 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/stock_inventory_location/rev/f7b861a0f9c2
New changeset ecb30f813295 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/stock_forecast/rev/ecb30f813295
New changeset cbd95ac133f8 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/stock/rev/cbd95ac133f8
New changeset e5b788ae4ba2 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/sale_supply_drop_shipment/rev/e5b788ae4ba2
New changeset 46ad1ace146b by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/sale_subscription/rev/46ad1ace146b
New changeset 11ace4c117bd by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/sale_promotion/rev/11ace4c117bd
New changeset afb852779eb1 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/sale_price_list/rev/afb852779eb1
New changeset ac5618be7876 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/sale_opportunity/rev/ac5618be7876
New changeset 0cf69ba492a0 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/sale_gift_card/rev/0cf69ba492a0
New changeset 0ac9841bb54c by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/sale_extra/rev/0ac9841bb54c
New changeset ea5dbb0c08cb by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/sale_credit_limit/rev/ea5dbb0c08cb
New changeset 530e423392cb by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/sale_complaint/rev/530e423392cb
New changeset 9e40baf43be1 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/sale/rev/9e40baf43be1
New changeset b795c2d2472b by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/purchase_requisition/rev/b795c2d2472b
New changeset e0ffac13c47c by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/purchase_request_quotation/rev/e0ffac13c47c
New changeset 2a0fbb075ea6 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/purchase_request/rev/2a0fbb075ea6
New changeset 12be61743589 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/purchase_price_list/rev/12be61743589
New changeset 68b83b3eba68 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/purchase/rev/68b83b3eba68
New changeset 947c768b377c by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/project_revenue/rev/947c768b377c
New changeset ceca0b2a39e5 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/project_plan/rev/ceca0b2a39e5
New changeset 2f080bad0b51 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/project/rev/2f080bad0b51
New changeset d7f9c390dce4 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/production_work_timesheet/rev/d7f9c390dce4
New changeset 294397241c5e by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/production_work/rev/294397241c5e
New changeset aa0ab91f0c1f by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/production/rev/aa0ab91f0c1f
New changeset a97e8f6b8736 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/product_price_list_parent/rev/a97e8f6b8736
New changeset 81937d624505 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/product_price_list_dates/rev/81937d624505
New changeset 82fef152026e by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/product_price_list/rev/82fef152026e
New changeset 42c99edf7cc0 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/product_kit/rev/42c99edf7cc0
New changeset 5f6af8bf45de by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/product_cost_warehouse/rev/5f6af8bf45de
New changeset 2eef9d5be3b1 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/product/rev/2eef9d5be3b1
New changeset 9f1368a2e02d by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/party_avatar/rev/9f1368a2e02d
New changeset 23500dc82321 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/notification_email/rev/23500dc82321
New changeset 7707e3245eda by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/incoterm/rev/7707e3245eda
New changeset a87d6c036195 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/company_work_time/rev/a87d6c036195
New changeset bba2953e5260 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/company/rev/bba2953e5260
New changeset 0e498e3a8cc5 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/commission/rev/0e498e3a8cc5
New changeset f8513c4868e8 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/carrier_weight/rev/f8513c4868e8
New changeset e92eae6ae3e4 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/attendance/rev/e92eae6ae3e4
New changeset 9d4555090700 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/analytic_account/rev/9d4555090700
New changeset 7826cebd4a0c by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/account_tax_rule_country/rev/7826cebd4a0c
New changeset 36f68cc48179 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/account_stock_landed_cost/rev/36f68cc48179
New changeset 8d60dbaa450a by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/account_statement_rule/rev/8d60dbaa450a
New changeset a1972c37335a by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/account_statement/rev/a1972c37335a
New changeset 28eda48cb3a4 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/account_product/rev/28eda48cb3a4
New changeset 609f92553eae by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/account_payment_stripe/rev/609f92553eae
New changeset 8f5d27aab471 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/account_payment_sepa_cfonb/rev/8f5d27aab471
New changeset 0e0f2fd2be79 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/account_payment_sepa/rev/0e0f2fd2be79
New changeset 17758ae81df2 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/account_payment_braintree/rev/17758ae81df2
New changeset ac6d7bc33d63 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/account_payment/rev/ac6d7bc33d63
New changeset 3cb315191181 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/account_invoice/rev/3cb315191181
New changeset e3a302f322da by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/account_fr_chorus/rev/e3a302f322da
New changeset d1e7f9851c88 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/account_eu/rev/d1e7f9851c88
New changeset 327a0a75bc3c by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/account_dunning_letter/rev/327a0a75bc3c
New changeset 65ed65768b37 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/account_dunning/rev/65ed65768b37
New changeset f5e400a4d5f0 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/account_deposit/rev/f5e400a4d5f0
New changeset 74e7251f9737 by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/account_credit_limit/rev/74e7251f9737
New changeset e73a6d71ecae by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/account_asset/rev/e73a6d71ecae
New changeset d9be3490b23d by Cédric Krier in branch 'default':
Check rule only if _check_access is set and enforce companies rule
https://hg.tryton.org/modules/account/rev/d9be3490b23d
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-03-11.17:09:13

Here is review343891009 which implements msg65185.

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-03-06.00:39:18

Instead of removing the company record rule, I think we should update them to be more flexible.
With issue10163 we could add a flag on the user company_only_current to show records of all listed companies or only the current company. The flag will be in the context and editable by the user.
The rule would be with a domain like:
[If(Eval('user', {}).get('company_only_current'), ('company', '=', Eval('user', {}).get('company', -1)), ('company', 'in', Eval('user', {}).get('companies', []))]

For me it will provide enough flexible to support simple setup like a mono-company and complex one where each user has different accesses and some may want to see only their current company and other all their companies.

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2018-08-21.18:54:26
issue7638 will be needed also.
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2018-05-18.12:17:48
issue7198 should be also fixed first. And I think it will be simpler to implement it after issue3805
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2018-05-18.11:23:53
> I think it is not possible to have writen such patch in one hour.

Neither do I.  I started to work on it yesterday ;) 

> I can see it is missing all the work that removes the dependency on browsing context. We need test that ensure user from one company can make sale, purchase, shipment and invoice workflow for document from another company.

Ok, I tryied it manually and it does not work for now. That's why was saying that I will open separate issues so the review process can be simpler. I will write such tests to ensure everything is working correctly. 

> Also it can not work without issue6760.

Noted.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2018-05-18.11:16:24
I think it is not possible to have writen such patch in one hour.
I can see it is missing all the work that removes the dependency on browsing context. We need test that ensure user from one company can make sale, purchase, shipment and invoice workflow for document from another company.
Also it can not work without issue6760.
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2018-05-18.11:10:17
I uploaded review48351002 which removes the access rule and company domains. 

I will open separate issues for solving other things needed to make multi-company work without record rules (i.e: product_sale_price and product_purchase_price).
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2016-04-25.09:36:29
I reopen because it was wrongly marked as resolved.
New changeset ae858ca7b462 by Sergi Almacellas Abellana in branch 'default':
Add access rules for taxes relations on templates and categories.
http://hg.tryton.org/modules/account_product/rev/ae858ca7b462
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2015-07-30.14:58:30
issue2349 should be first implemented to avoid all the mess with the context switching.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2014-11-01.15:44:36
A first step is done in issue4311
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2014-09-10.21:53:24
There are too much issue for such patch.
Property, context and user.company should first be removed.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2014-08-01.13:00:47
The solution for msg17710 should be issue4098.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2014-08-01.08:58:04
The configuration singleton is fixed in last patch set but there is still one issue with the context of some instances.
For example, the product on sale line required to have the right company in the context for tax_used and account_used.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2014-07-30.18:47:33
All the configuration singleton must be reworked.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2014-07-23.22:50:28
Following: https://groups.google.com/d/topic/tryton-dev/prpZY4rGCug/discussion

The goal is to allow more flexibility with multi-company by removing the hard dependency in the code to the record rule which should stay only for access right configuration.
History
Date User Action Args
2021-04-14 10:37:31roundup-botsetmessages: + msg66597
2021-04-14 10:37:27roundup-botsetmessages: + msg66596
2021-04-10 23:54:42roundup-botsetmessages: + msg66386
2021-04-10 23:54:38roundup-botsetmessages: + msg66385
2021-04-10 23:54:34roundup-botsetmessages: + msg66384
2021-04-10 23:54:30roundup-botsetmessages: + msg66383
2021-04-10 23:54:27roundup-botsetmessages: + msg66382
2021-04-10 23:54:16roundup-botsetmessages: + msg66381
2021-04-10 23:54:07roundup-botsetmessages: + msg66380
2021-04-10 23:54:03roundup-botsetmessages: + msg66379

Showing 10 items. Show all history (warning: this could be VERY long)